opendmarc-import(8)

NAME
opendmarc-import - OpenDMARC aggregate report data import tool

SYNOPSIS
opendmarc-import [options]

DESCRIPTION
opendmarc-import reads per-message data recorded by an instance of opendmarc(8) and inserts it into an SQL database, for later use by opendmarc-reports(8) to generate aggregate reports.

OPTIONS

--dbhost=hostname
    Specifies the hostname on which the SQL server is running. Defaults to the value of the environment variable OPENDMARC_DBHOST, or "localhost" if the environment variable is not set.

--dbname=name
    Specifies the SQL database name to be accessed. Defaults to the value of the environment variable OPENDMARC_DB, or "opendmarc" if the environment variable is not set.

--dbpasswd=password
    Specifies the password for the SQL database to be accessed. Defaults to the value of the environment variable OPENDMARC_PASSWORD, or "opendmarc" if the environment variable is not set.

--dbport=port
    Specifies the TCP port on which the SQL server is expected to be listening. Defaults to the value of the environment variable OPENDMARC_PORT, or 3306 if the environment variable is not set.

--dbuser=user
    Specifies the SQL user to be used to access the database. Defaults to the value of the environment variable OPENDMARC_USER, or "opendmarc" if the environment variable is not set.

--help
    Prints a help message and terminates.

--input=file
    Reads from the named file instead of from standard input (the default).

--verbose
    Increase the amount of verbosity written to standard output.

--version
    Print version number and exit.

VERSION
This man page covers the version of opendmarc-import that shipped with version 1.4.2 of OpenDMARC.

COPYRIGHT
Copyright (c) 2012, The Trusted Domain Project. All rights reserved.

SEE ALSO
opendmarc(8), opendmarc.conf(5) opendmarc-reports(8)